package com.njcn.csharmonic.offline.mincfg.vo;

public class DATA_INHARMV //间谐波电压幅值
{
	private RTC_Timer time; //数据时标
	private Float[][] INHARMV; //3-?间谐波电压幅值
	public DATA_INHARMV(int num)
	{
		time = new RTC_Timer();
		INHARMV = new Float[3][num];
	}
	public static int GetSize(int num)
	{
//C# TO JAVA CONVERTER TODO TASK: There is no Java equivalent to 'sizeof':
		return 6 * Short.SIZE + 3 * num *  Float.SIZE / Byte.SIZE;
	}
	public final boolean SetStructBuf(byte[] bArray, int nHaveRead, int num)
	{
		int nByteSize = bArray.length;
		if (nByteSize < GetSize(num))
		{
			return false;
		}

		int iStep = nHaveRead;
		time.SetStructBuf(bArray, iStep);
		iStep = iStep + RTC_Timer.GetSize();
		RefObject<Float[][]> tempRef_INHARMV = new RefObject<Float[][]>(INHARMV);
		iStep += Service.convertFloatArrayTwo(bArray, iStep, tempRef_INHARMV);
		INHARMV = tempRef_INHARMV.argvalue;
		return true;
	}
}